[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# EVariantRangeCheckError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception class to signal range checks

## Declaration

Source position: variants.pp line 48

`type EVariantRangeCheckError = class(EVariantOverflowError)`

## Inheritance

`EVariantRangeCheckError` |  | Exception class to signal range checks
`EVariantOverflowError` |  | Error raised when an overflow error is detected
`EVariantError` |  | Variant error.
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EVariantRangeCheckError is defined for Delphi compatibility, it is not used in FPC.